#ifndef _LBBCSAMPLECONFIGFILE_H
#define _LBBCSAMPLECONFIGFILE_H

#include <BBC.h>

namespace LBBC {

class _BBCExport SampleConfigFile : public Ogre::ConfigFile {
  public:
    SampleConfigFile();
	
    virtual ~SampleConfigFile();

	bool getEntityDistributionMerged();

	Ogre::String getEntityDistributionSplittedMaterialPrefixName();

	Ogre::String getEntityDistributionMergedMaterialPrefixName();

	bool getEntityDistributionSplitted();

	Ogre::String getEntitySampleMeshPrefixFilename();

	bool getEntityDistributionGeneration();

	Ogre::String getEntityDistributionFolder();

	Ogre::String getEntityDistributionXMLPrefixFilename();

	Ogre::String getEntitiesFolder();

	bool getEntitySampleMeshGeneration();

	Ogre::String getEntitiesMeshPrefixFilename();

	bool getEntityClustersGeneration();

	float getEntityClustersAlpha();

	unsigned int getEntityClustersMaxClusters();

	unsigned int getEntityClustersNumIterations();

	Ogre::String getEntityClustersFolder();

	bool getEntityClustersMergedClusters();

	bool getEntityClustersSplittedClusters();

	Ogre::String getEntityClustersMeshPrefixFilename();

	Ogre::String getEntityClustersMaterialPrefixFilename();

	bool getBillboardCloudMergedBillboards();

	bool getBillboardCloudSplittedBillboards();

	bool getBillboardCloudGeneration();

	Ogre::String getBillboardCloudFolder();

	Ogre::String getBillboardCloudMeshPrefixFilename();

	Ogre::String getBillboardCloudMaterialPrefixFilename();

	Ogre::String getBillboardCloudXMLPrefixFilename();

	bool getBillboardCloudDiffuseColorTextureAtlasGeneration();

	unsigned int getBillboardCloudDiffuseColorTextureSize();

	unsigned int getBillboardCloudDiffuseColorTextureAtlasSize();

	bool getBillboardCloudIndirectTextureAtlasGeneration();

	unsigned int getBillboardCloudIndirectTextureSize();

	unsigned int getBillboardCloudIndirectTextureAtlasSize();

	unsigned int getBillboardCloudGroups();

	bool getBillboardCloudGroupedBillboards();

};

}

#endif